Ecore_Wl2.h File Reference

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
Ecore_Wl2.h File Reference

Ecore functions for dealing with the Wayland display protocol. More...

## Data Structures
struct | _Ecore_Wl2_Global
struct | _Ecore_Wl2_Event_Global
struct | _Ecore_Wl2_Event_Focus_In
struct | _Ecore_Wl2_Event_Focus_Out
struct | _Ecore_Wl2_Event_Dnd_Enter
struct | _Ecore_Wl2_Event_Dnd_Leave
struct | _Ecore_Wl2_Event_Dnd_Motion
struct | _Ecore_Wl2_Event_Dnd_Drop
struct | _Ecore_Wl2_Event_Dnd_End
struct | _Ecore_Wl2_Event_Data_Source_Cancelled
struct | _Ecore_Wl2_Event_Data_Source_Target
struct | _Ecore_Wl2_Event_Data_Source_Send
struct | _Ecore_Wl2_Event_Selection_Data_Ready
struct | _Ecore_Wl2_Event_Window_Configure
struct | _Ecore_Wl2_Event_Sync_Done

## Typedefs
typedef struct _Ecore_Wl2_Subsurface | Ecore_Wl2_Subsurface
typedef struct _Ecore_Wl2_Window | Ecore_Wl2_Window
typedef struct _Ecore_Wl2_Display | Ecore_Wl2_Display
typedef struct _Ecore_Wl2_Output | Ecore_Wl2_Output
typedef struct _Ecore_Wl2_Input | Ecore_Wl2_Input
typedef struct _Ecore_Wl2_Seat | Ecore_Wl2_Seat
typedef struct _Ecore_Wl2_Pointer | Ecore_Wl2_Pointer
typedef struct _Ecore_Wl2_Keyboard | Ecore_Wl2_Keyboard
typedef struct _Ecore_Wl2_Touch | Ecore_Wl2_Touch
typedef struct _Ecore_Wl2_Global | Ecore_Wl2_Global
typedef struct _Ecore_Wl2_Event_Global | Ecore_Wl2_Event_Global
typedef struct _Ecore_Wl2_Event_Focus_In | Ecore_Wl2_Event_Focus_In
typedef struct _Ecore_Wl2_Event_Focus_Out | Ecore_Wl2_Event_Focus_Out
typedef struct _Ecore_Wl2_Event_Dnd_Enter | Ecore_Wl2_Event_Dnd_Enter
typedef struct _Ecore_Wl2_Event_Dnd_Leave | Ecore_Wl2_Event_Dnd_Leave
typedef struct _Ecore_Wl2_Event_Dnd_Motion | Ecore_Wl2_Event_Dnd_Motion
typedef struct _Ecore_Wl2_Event_Dnd_Drop | Ecore_Wl2_Event_Dnd_Drop
typedef struct _Ecore_Wl2_Event_Dnd_End | Ecore_Wl2_Event_Dnd_End
typedef struct _Ecore_Wl2_Event_Data_Source_Cancelled | Ecore_Wl2_Event_Data_Source_Cancelled
typedef struct _Ecore_Wl2_Event_Data_Source_Target | Ecore_Wl2_Event_Data_Source_Target
typedef struct _Ecore_Wl2_Event_Data_Source_Send | Ecore_Wl2_Event_Data_Source_Send
typedef struct _Ecore_Wl2_Event_Selection_Data_Ready | Ecore_Wl2_Event_Selection_Data_Ready
typedef struct _Ecore_Wl2_Event_Window_Configure | Ecore_Wl2_Event_Window_Configure
typedef struct _Ecore_Wl2_Event_Sync_Done | Ecore_Wl2_Event_Sync_Done
typedef enum _Ecore_Wl2_Window_Type | Ecore_Wl2_Window_Type
typedef void(* | Ecore_Wl2_Bind_Cb) (struct wl_client *client, void *data, uint32_t version, uint32_t id)
typedef void(* | Ecore_Wl2_Unbind_Cb) (struct wl_resource *resource)

## Enumerations
enum | _Ecore_Wl2_Window_Type { ECORE_WL2_WINDOW_TYPE_NONE, ECORE_WL2_WINDOW_TYPE_TOPLEVEL, ECORE_WL2_WINDOW_TYPE_FULLSCREEN, ECORE_WL2_WINDOW_TYPE_MAXIMIZED, ECORE_WL2_WINDOW_TYPE_TRANSIENT, ECORE_WL2_WINDOW_TYPE_MENU, ECORE_WL2_WINDOW_TYPE_DND, ECORE_WL2_WINDOW_TYPE_CUSTOM, ECORE_WL2_WINDOW_TYPE_LAST }

## Functions
EAPI int | ecore_wl2_init (void)
| Initialize the Ecore_Wl2 library. More...
EAPI int | ecore_wl2_shutdown (void)
| Shutdown the Ecore_Wl2 Library. More...
EAPI Ecore_Wl2_Display * | ecore_wl2_display_create (const char *name)
| Create a new Wayland display. More...
EAPI void | ecore_wl2_display_destroy (Ecore_Wl2_Display *display)
| Destroy an existing Wayland display. More...
EAPI Ecore_Wl2_Display * | ecore_wl2_display_connect (const char *name)
| Connect to an existing Wayland display. More...
EAPI void | ecore_wl2_display_disconnect (Ecore_Wl2_Display *display)
| Disconnect an existing Wayland display. More...
EAPI void | ecore_wl2_display_terminate (Ecore_Wl2_Display *display)
| Terminate a Wayland display's main loop. More...
EAPI struct wl_display * | ecore_wl2_display_get (Ecore_Wl2_Display *display)
| Retrieve the existing Wayland display. More...
EAPI struct wl_shm * | ecore_wl2_display_shm_get (Ecore_Wl2_Display *display)
| Retrieve the wl_shm from a given Ecore_Wl2_Display. More...
EAPI Eina_Iterator * | ecore_wl2_display_globals_get (Ecore_Wl2_Display *display)
| Return an Eina_Iterator that can be used to iterate through globals. More...
EAPI void | ecore_wl2_display_screen_size_get (Ecore_Wl2_Display *display, int *w, int *h)
| Retrieves the size of the current screen. More...
EAPI Ecore_Wl2_Window * | ecore_wl2_display_window_find (Ecore_Wl2_Display *display, unsigned int id)
| Find an Ecore_Wl2_Window based on id. More...
EAPI struct wl_registry * | ecore_wl2_display_registry_get (Ecore_Wl2_Display *display)
| Retrieves the Wayland Registry used for the current Wayland display. More...
EAPI Ecore_Wl2_Window * | ecore_wl2_window_new (Ecore_Wl2_Display *display, Ecore_Wl2_Window *parent, int x, int y, int w, int h)
| Create a new Ecore_Wl2_Window. More...
EAPI int | ecore_wl2_window_id_get (Ecore_Wl2_Window *window)
| Get the window id associated with an Ecore_Wl2_Window. More...
EAPI struct wl_surface * | ecore_wl2_window_surface_get (Ecore_Wl2_Window *window)
| Get the wl_surface which belongs to this window. More...
EAPI int | ecore_wl2_window_surface_id_get (Ecore_Wl2_Window *window)
| Get the id of a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_show (Ecore_Wl2_Window *window)
| Show a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_hide (Ecore_Wl2_Window *window)
| Hide a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_free (Ecore_Wl2_Window *window)
| Free a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_move (Ecore_Wl2_Window *window, int x, int y)
| Move a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_resize (Ecore_Wl2_Window *window, int w, int h, int location)
| Resize a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_raise (Ecore_Wl2_Window *window)
| Raise a given Ecore_Wl2_Window. More...
EAPI Eina_Bool | ecore_wl2_window_alpha_get (Ecore_Wl2_Window *window)
| Get if a given window is alpha. More...
EAPI void | ecore_wl2_window_alpha_set (Ecore_Wl2_Window *window, Eina_Bool alpha)
| Set a given window's alpha property. More...
EAPI void | ecore_wl2_window_transparent_set (Ecore_Wl2_Window *window, Eina_Bool transparent)
| Set a given window's transparent property. More...
EAPI void | ecore_wl2_window_opaque_region_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the opaque region of the Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_input_region_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the input region of the Ecore_Wl2_Window. More...
EAPI Eina_Bool | ecore_wl2_window_maximized_get (Ecore_Wl2_Window *window)
| Get if a given window is maximized. More...
EAPI void | ecore_wl2_window_maximized_set (Ecore_Wl2_Window *window, Eina_Bool maximized)
| Set the maximized state of a given window. More...
EAPI Eina_Bool | ecore_wl2_window_fullscreen_get (Ecore_Wl2_Window *window)
| Get if a given window is fullscreen. More...
EAPI void | ecore_wl2_window_fullscreen_set (Ecore_Wl2_Window *window, Eina_Bool fullscreen)
| Set the fullscreen state of a given window. More...
EAPI int | ecore_wl2_window_rotation_get (Ecore_Wl2_Window *window)
| Get if a given window is rotated. More...
EAPI void | ecore_wl2_window_rotation_set (Ecore_Wl2_Window *window, int rotation)
| Set the rotation of a given window. More...
EAPI void | ecore_wl2_window_title_set (Ecore_Wl2_Window *window, const char *title)
| Set the title of a given window. More...
EAPI void | ecore_wl2_window_class_set (Ecore_Wl2_Window *window, const char *clas)
| Set the class of a given window. More...
EAPI void | ecore_wl2_window_geometry_get (Ecore_Wl2_Window *window, int *x, int *y, int *w, int *h)
| Get the geometry of a given window. More...
EAPI void | ecore_wl2_window_geometry_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the geometry of a given window. More...
EAPI Eina_Bool | ecore_wl2_window_iconified_get (Ecore_Wl2_Window *window)
| Get the iconified state of a given window. More...
EAPI void | ecore_wl2_window_iconified_set (Ecore_Wl2_Window *window, Eina_Bool iconified)
| Iconify a window. More...
EAPI void | ecore_wl2_window_pointer_xy_get (Ecore_Wl2_Window *window, int *x, int *y)
| Retrieves the mouse position of the current window. More...
EAPI void | ecore_wl2_window_pointer_set (Ecore_Wl2_Window *window, struct wl_surface *surface, int hot_x, int hot_y)
| Set a given wl_surface to use as the pointer on a window. More...
EAPI void | ecore_wl2_window_cursor_from_name_set (Ecore_Wl2_Window *window, const char *cursor)
| Set a specific cursor on a given window. More...
EAPI void | ecore_wl2_window_type_set (Ecore_Wl2_Window *window, Ecore_Wl2_Window_Type type)
| Set the type of a given window. More...
EAPI Ecore_Wl2_Input * | ecore_wl2_window_input_get (Ecore_Wl2_Window *window)
EAPI void | ecore_wl2_input_grab (Ecore_Wl2_Input *input, Ecore_Wl2_Window *window, unsigned int button)
EAPI void | ecore_wl2_input_ungrab (Ecore_Wl2_Input *input)
EAPI struct wl_seat * | ecore_wl2_input_seat_get (Ecore_Wl2_Input *input)
EAPI void | ecore_wl2_dnd_drag_types_set (Ecore_Wl2_Input *input, const char **types)
EAPI void | ecore_wl2_dnd_drag_start (Ecore_Wl2_Input *input, Ecore_Wl2_Window *window, Ecore_Wl2_Window *drag_window)
EAPI Eina_Bool | ecore_wl2_dnd_drag_get (Ecore_Wl2_Input *input, const char *type)
EAPI void | ecore_wl2_dnd_drag_end (Ecore_Wl2_Input *input)
EAPI Eina_Bool | ecore_wl2_dnd_selection_owner_has (Ecore_Wl2_Input *input)
EAPI Eina_Bool | ecore_wl2_dnd_selection_set (Ecore_Wl2_Input *input, const char **types)
EAPI Eina_Bool | ecore_wl2_dnd_selection_get (Ecore_Wl2_Input *input, const char *type)
EAPI Eina_Bool | ecore_wl2_dnd_selection_clear (Ecore_Wl2_Input *input)
EAPI Ecore_Wl2_Subsurface * | ecore_wl2_subsurface_new (Ecore_Wl2_Window *window)
| Create and return a new subsurface. More...
EAPI void | ecore_wl2_subsurface_del (Ecore_Wl2_Subsurface *subsurface)
| Destroy the given subsurface, as well as the surface associated with it. More...
EAPI struct wl_surface * | ecore_wl2_subsurface_surface_get (Ecore_Wl2_Subsurface *subsurface)
| Get the wl_surface for this subsurface. More...
EAPI void | ecore_wl2_subsurface_position_set (Ecore_Wl2_Subsurface *subsurface, int x, int y)
| Set the position of this subsurface, relative to its parent surface. More...
EAPI void | ecore_wl2_subsurface_position_get (Ecore_Wl2_Subsurface *subsurface, int *x, int *y)
| Get the position of this subsurface, relative to its parent surface. More...
EAPI void | ecore_wl2_subsurface_place_above (Ecore_Wl2_Subsurface *subsurface, struct wl_surface *surface)
| Place subsurface on layer above a reference surface. More...
EAPI void | ecore_wl2_subsurface_place_below (Ecore_Wl2_Subsurface *subsurface, struct wl_surface *surface)
| Place subsurface on layer below a reference surface. More...
EAPI void | ecore_wl2_subsurface_sync_set (Ecore_Wl2_Subsurface *subsurface, Eina_Bool sync)
| Enables or disables sub-surface synchronization. More...
EAPI void | ecore_wl2_subsurface_opaque_region_set (Ecore_Wl2_Subsurface *subsurface, int x, int y, int w, int h)
| Set an opaque region for the given subsurface. More...
EAPI int | ecore_wl2_output_dpi_get (Ecore_Wl2_Output *output)
| Return the DPI of a given output. More...
EAPI int | ecore_wl2_display_compositor_version_get (Ecore_Wl2_Display *disp)
| Return the version of the display's compositor object. More...
EAPI Ecore_Wl2_Seat * | ecore_wl2_seat_create (Ecore_Wl2_Display *display, const char *name, const struct wl_seat_interface *implementation, int version, Ecore_Wl2_Bind_Cb bind_cb, Ecore_Wl2_Unbind_Cb unbind_cb)
EAPI void | ecore_wl2_seat_destroy (Ecore_Wl2_Seat *seat)
EAPI void | ecore_wl2_seat_capabilities_send (Ecore_Wl2_Seat *seat, enum wl_seat_capability caps)
EAPI void | ecore_wl2_seat_pointer_release (Ecore_Wl2_Seat *seat)
EAPI Ecore_Wl2_Pointer * | ecore_wl2_pointer_get (Ecore_Wl2_Seat *seat)
EAPI Eina_Bool | ecore_wl2_pointer_resource_create (Ecore_Wl2_Pointer *ptr, struct wl_client *client, const struct wl_pointer_interface *implementation, int version, uint32_t id)
EAPI Ecore_Wl2_Keyboard * | ecore_wl2_keyboard_get (Ecore_Wl2_Seat *seat)
EAPI Eina_Bool | ecore_wl2_keyboard_resource_create (Ecore_Wl2_Keyboard *kbd, struct wl_client *client, const struct wl_keyboard_interface *implementation, int version, uint32_t id)
EAPI void | ecore_wl2_keyboard_repeat_info_set (Ecore_Wl2_Keyboard *kbd, double rate, double delay)
EAPI Ecore_Wl2_Display * | ecore_wl2_window_display_get (const Ecore_Wl2_Window *window)

## Variables
EAPI int | ECORE_WL2_EVENT_GLOBAL_ADDED
EAPI int | ECORE_WL2_EVENT_GLOBAL_REMOVED
EAPI int | ECORE_WL2_EVENT_FOCUS_IN
EAPI int | ECORE_WL2_EVENT_FOCUS_OUT
EAPI int | ECORE_WL2_EVENT_DND_ENTER
EAPI int | ECORE_WL2_EVENT_DND_LEAVE
EAPI int | ECORE_WL2_EVENT_DND_MOTION
EAPI int | ECORE_WL2_EVENT_DND_DROP
EAPI int | ECORE_WL2_EVENT_DND_END
EAPI int | ECORE_WL2_EVENT_DATA_SOURCE_CANCELLED
EAPI int | ECORE_WL2_EVENT_DATA_SOURCE_TARGET
EAPI int | ECORE_WL2_EVENT_DATA_SOURCE_SEND
EAPI int | ECORE_WL2_EVENT_SELECTION_DATA_READY
EAPI int | ECORE_WL2_EVENT_WINDOW_CONFIGURE
EAPI int | ECORE_WL2_EVENT_SYNC_DONE

## Detailed Description

Ecore functions for dealing with the Wayland display protocol.

Since
  1.17

## Function Documentation

## ◆ ecore_wl2_window_input_get()

EAPI Ecore_Wl2_Input* ecore_wl2_window_input_get | ( | Ecore_Wl2_Window * | window | ) |

Since
  1.17

## ◆ ecore_wl2_input_grab()

EAPI void ecore_wl2_input_grab | ( | Ecore_Wl2_Input * | input,
|  | Ecore_Wl2_Window * | window,
|  | unsigned int | button
| ) |  |

Since
  1.17

## ◆ ecore_wl2_input_ungrab()

EAPI void ecore_wl2_input_ungrab | ( | Ecore_Wl2_Input * | input | ) |

Since
  1.17

## ◆ ecore_wl2_input_seat_get()

EAPI struct wl_seat* ecore_wl2_input_seat_get | ( | Ecore_Wl2_Input * | input | ) |

Since
  1.17

## ◆ ecore_wl2_dnd_drag_types_set()

EAPI void ecore_wl2_dnd_drag_types_set | ( | Ecore_Wl2_Input * | input,
|  | const char ** | types
| ) |  |

Since
  1.17

## ◆ ecore_wl2_dnd_drag_start()

EAPI void ecore_wl2_dnd_drag_start | ( | Ecore_Wl2_Input * | input,
|  | Ecore_Wl2_Window * | window,
|  | Ecore_Wl2_Window * | drag_window
| ) |  |

Since
  1.17

## ◆ ecore_wl2_dnd_drag_get()

EAPI Eina_Bool ecore_wl2_dnd_drag_get | ( | Ecore_Wl2_Input * | input,
|  | const char * | type
| ) |  |

Since
  1.17

## ◆ ecore_wl2_dnd_drag_end()

EAPI void ecore_wl2_dnd_drag_end | ( | Ecore_Wl2_Input * | input | ) |

Since
  1.17

## ◆ ecore_wl2_dnd_selection_owner_has()

EAPI Eina_Bool ecore_wl2_dnd_selection_owner_has | ( | Ecore_Wl2_Input * | input | ) |

Since
  1.17

## ◆ ecore_wl2_dnd_selection_set()

EAPI Eina_Bool ecore_wl2_dnd_selection_set | ( | Ecore_Wl2_Input * | input,
|  | const char ** | types
| ) |  |

Since
  1.17

## ◆ ecore_wl2_dnd_selection_get()

EAPI Eina_Bool ecore_wl2_dnd_selection_get | ( | Ecore_Wl2_Input * | input,
|  | const char * | type
| ) |  |

Since
  1.17

## ◆ ecore_wl2_dnd_selection_clear()

EAPI Eina_Bool ecore_wl2_dnd_selection_clear | ( | Ecore_Wl2_Input * | input | ) |

Since
  1.17

## ◆ ecore_wl2_seat_create()

EAPI Ecore_Wl2_Seat* ecore_wl2_seat_create | ( | Ecore_Wl2_Display * | display,
|  | const char * | name,
|  | const struct wl_seat_interface * | implementation,
|  | int | version,
|  | Ecore_Wl2_Bind_Cb | bind_cb,
|  | Ecore_Wl2_Unbind_Cb | unbind_cb
| ) |  |

Since
  1.17

## ◆ ecore_wl2_seat_destroy()

EAPI void ecore_wl2_seat_destroy | ( | Ecore_Wl2_Seat * | seat | ) |

Since
  1.17

## ◆ ecore_wl2_seat_capabilities_send()

EAPI void ecore_wl2_seat_capabilities_send | ( | Ecore_Wl2_Seat * | seat,
|  | enum wl_seat_capability | caps
| ) |  |

Since
  1.17

## ◆ ecore_wl2_seat_pointer_release()

EAPI void ecore_wl2_seat_pointer_release | ( | Ecore_Wl2_Seat * | seat | ) |

Since
  1.17

## ◆ ecore_wl2_pointer_get()

EAPI Ecore_Wl2_Pointer* ecore_wl2_pointer_get | ( | Ecore_Wl2_Seat * | seat | ) |

Since
  1.17

## ◆ ecore_wl2_pointer_resource_create()

EAPI Eina_Bool ecore_wl2_pointer_resource_create | ( | Ecore_Wl2_Pointer * | ptr,
|  | struct wl_client * | client,
|  | const struct wl_pointer_interface * | implementation,
|  | int | version,
|  | uint32_t | id
| ) |  |

Since
  1.17

## ◆ ecore_wl2_keyboard_get()

EAPI Ecore_Wl2_Keyboard* ecore_wl2_keyboard_get | ( | Ecore_Wl2_Seat * | seat | ) |

Since
  1.17

## ◆ ecore_wl2_keyboard_resource_create()

EAPI Eina_Bool ecore_wl2_keyboard_resource_create | ( | Ecore_Wl2_Keyboard * | kbd,
|  | struct wl_client * | client,
|  | const struct wl_keyboard_interface * | implementation,
|  | int | version,
|  | uint32_t | id
| ) |  |

Since
  1.17

## ◆ ecore_wl2_keyboard_repeat_info_set()

EAPI void ecore_wl2_keyboard_repeat_info_set | ( | Ecore_Wl2_Keyboard * | kbd,
|  | double | rate,
|  | double | delay
| ) |  |

Since
  1.17

## ◆ ecore_wl2_window_display_get()

EAPI Ecore_Wl2_Display* ecore_wl2_window_display_get | ( | const Ecore_Wl2_Window * | window | ) |

Since
  1.17

## Variable Documentation

## ◆ ECORE_WL2_EVENT_GLOBAL_REMOVED

EAPI int ECORE_WL2_EVENT_GLOBAL_REMOVED

Since
  1.17

## ◆ ECORE_WL2_EVENT_FOCUS_IN

EAPI int ECORE_WL2_EVENT_FOCUS_IN

Since
  1.17

## ◆ ECORE_WL2_EVENT_FOCUS_OUT

EAPI int ECORE_WL2_EVENT_FOCUS_OUT

Since
  1.17

## ◆ ECORE_WL2_EVENT_DND_ENTER

EAPI int ECORE_WL2_EVENT_DND_ENTER

Since
  1.17

## ◆ ECORE_WL2_EVENT_DND_LEAVE

EAPI int ECORE_WL2_EVENT_DND_LEAVE

Since
  1.17

## ◆ ECORE_WL2_EVENT_DND_MOTION

EAPI int ECORE_WL2_EVENT_DND_MOTION

Since
  1.17

## ◆ ECORE_WL2_EVENT_DND_DROP

EAPI int ECORE_WL2_EVENT_DND_DROP

Since
  1.17

## ◆ ECORE_WL2_EVENT_DND_END

EAPI int ECORE_WL2_EVENT_DND_END

Since
  1.17

## ◆ ECORE_WL2_EVENT_DATA_SOURCE_CANCELLED

EAPI int ECORE_WL2_EVENT_DATA_SOURCE_CANCELLED

Since
  1.17

## ◆ ECORE_WL2_EVENT_DATA_SOURCE_TARGET

EAPI int ECORE_WL2_EVENT_DATA_SOURCE_TARGET

Since
  1.17

## ◆ ECORE_WL2_EVENT_DATA_SOURCE_SEND

EAPI int ECORE_WL2_EVENT_DATA_SOURCE_SEND

Since
  1.17

## ◆ ECORE_WL2_EVENT_SELECTION_DATA_READY

EAPI int ECORE_WL2_EVENT_SELECTION_DATA_READY

Since
  1.17

## ◆ ECORE_WL2_EVENT_WINDOW_CONFIGURE

EAPI int ECORE_WL2_EVENT_WINDOW_CONFIGURE

Since
  1.17

## ◆ ECORE_WL2_EVENT_SYNC_DONE

EAPI int ECORE_WL2_EVENT_SYNC_DONE

Since
  1.17